{ pkgs, ... }:
let
  inherit (builtins) fromTOML readFile;
  pname = "lyt";
  src = ./..;
  main-package = pkgs.rustPlatform.buildRustPackage {
    inherit pname src;
    version = (fromTOML (readFile "${src}/${pname}/Cargo.toml")).package.version;
    cargoHash = "sha256-ZrT35F8EoawLgJVcp15kBLGkQZkhi1dxkYEAsV1ZlaU=";
    useFetchCargoVendor = true;
  };
in
{
  ${pname} = main-package;
  default = main-package;
}
